"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7004ee0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7004f70>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005000>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005090>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005120>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70051b0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005240>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70052d0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005360>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70053f0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005480>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005510>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70055a0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005630>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70056c0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005750>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70057e0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005870>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005900>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005990>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005a20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005ab0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005b40>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005bd0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005cf0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005c60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005d80>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005e10>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005ea0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005f30>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7005fc0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006050>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70060e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006170>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006200>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006290>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006320>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70063b0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006440>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70064d0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006560>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70065f0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006680>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006710>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70067a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006830>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70068c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006950>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70069e0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006a70>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006b00>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006b90>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006c20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006cb0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006d40>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006dd0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006e60>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006ef0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7006f80>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007010>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70070a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007130>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70071c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007250>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70072e0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007490>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007370>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007520>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70075b0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007640>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70076d0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007760>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007880>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70077f0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007910>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa70079a0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007a30>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007b50>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007ac0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007be0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007c70>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007d00>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007d90>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007e20>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7007eb0>)]
name: str = 'fr_HOCCN'
